<?php

namespace Drupal\pass_reset_checkbox;

use Drupal\Core\Security\TrustedCallbackInterface;

class PassResetCheckboxRender implements TrustedCallbackInterface {

  public static function trustedCallbacks() {
    return ['preRender'];
  }

  public static function preRender($build) {
    unset($build['content']['user_links']['#items']['request_password']);
    return $build;
  }

}
